Skip to main content
POST
Create a new OAuth application for an organization
Prefer client apps. This Siro OAuth flow still works during the transition and will be retired.

Authorizations

Authorization
string
header
default:Bearer <access-token>
required

Client app access token from POST https://auth.siro.ai/oauth2/token, or a legacy organization API token (Person icon → API Tokens). Send Authorization: Bearer <token>.

Body

application/json
appName
string
required
Minimum string length: 1
owner
string
required

The user that created this OAuth app.

Minimum string length: 1
organizationId
string
required

The organization that owns this OAuth app.

Minimum string length: 1

Response

201 - application/json

Create a new OAuth application for an organization

appName
string
required
clientID
string
required
clientSecret
string
required